Forums > MaxMSP

fragload and MathLib problems

February 11, 2006 | 11:11 pm

i’ve tried to use some objects from tl.objects and A-Chaos-Lib but some of them doesn’t work, the message error is (for example with the segment~ object):

can’t fragload segment~ (missing
), err -2804

i’ve read about this on the forum and i’ve discovered that is a common error for object compiled in Os9 and tested on OsX..but..this is not my way because i’ve only tested OsX objects!!
I’ve looked around for this MathLib but nothing to do…i’m on 10.3.9 with max4.5.6
Any Suggestions?


February 12, 2006 | 12:23 pm

anyone want to suggest a possible solution?


February 12, 2006 | 12:54 pm

done. Didn’t delete the Os9 version of some externals…
sorry for bother


February 13, 2006 | 3:56 pm

Hi,

here’s a few random guesses that you could try to get the tl.objects
working:

1) Make sure that you have the latest version installed:

http://www.bek.no/~lossius/download

2) In addition, make sure that you do not have older versions laying
around.

3) The file comes with versions for both OS9 (classic) and OSX. If
you include all of the folders in your search path (e.g. by copying
all of the archive) you’ll have installed the OS9 version of the
externals as well.

If none of this helps, don’t hesitate to mail back here or off-list.
I’ve never had reports ond fragload errors before.

is
required when I compile for OS9, but not OSX, so I’m inclined to
guess that somehow OS9 versions of the obejcts might be present in
your search path.

Best,
Trond


Viewing 4 posts - 1 through 4 (of 4 total)